<?php
/**
 * -----------------------------------------------------------------------------
 *
 * PHP version 4
 *
 * Copyright (c) 2006 k.watanabe
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *
 * - Redistributions of source code must retain the above copyright notice,
 *   this list of conditions and the following disclaimer.
 * - Redistributions in binary form must reproduce the above copyright notice,
 *   this list of conditions and the following disclaimer in the
 *   documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * -----------------------------------------------------------------------------
 * @package   SyL
 * @author    k.watanabe <k.watanabe@syl.jp>
 * @copyright 2006 k.watanabe
 * @license   http://www.opensource.org/licenses/lgpl-license.php
 * @version   CVS: $Id: SyL_Framework_Config.php,v 1.4 2006/12/06 13:04:27 seasonstream Exp $
 * @link      http://www.syl.jp/
 * -----------------------------------------------------------------------------
 */

/**
 * С
 */
define('SYL_VERSION', '2.0');

/**
 * ١ǥ쥯ȥ
 */
define('SYL_DIR', dirname(dirname(__FILE__)));
define('SYL_CONFIG_DIR',  SYL_DIR . '/config');
define('SYL_INCLUDE_DIR', SYL_DIR . '/include');
define('SYL_WEBAPP_DIR',  SYL_DIR . '/webapp');

define('SYL_OS_WINDOWS', (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN'));

/**
 * ƥ⥳ȥ̾
 */
define('SYL_CONFIG_CONTROLLER_NAME', 'controller');

/**
 * ե̾
 */
define('SYL_CONFIG_DEFINE_FILE', 'defines.xml');
/**
 * ݡͥե̾
 */
define('SYL_CONFIG_COMPONENTS_FILE', 'components.xml');
/**
 * ե륿ե̾
 */
define('SYL_CONFIG_FILTERS_FILE', 'filters.xml');
/**
 * ե̾
 */
define('SYL_CONFIG_ACTIONS_FILE', 'actions.xml');

/**
 * PHPƥ२顼¸뤫
 */
define('SYL_CONFIG_SYSTEM_ERROR_LOG', true);
/**
 * PHPƥ२顼¸ե
 */
if (SYL_CONFIG_SYSTEM_ERROR_LOG) {
  define('SYL_CONFIG_SYSTEM_ERROR_LOG_FILE', SYL_DIR . '/users/syslogs/phperror_' . date('Ymd') . '.log');
}

/**
 * ѥڤʸ
 */
if (!defined('PATH_SEPARATOR')) {
  if (SYL_OS_WINDOWS) {
    define('PATH_SEPARATOR', ';');
  } else {
    define('PATH_SEPARATOR', ':');
  }
}

/**
 * ǥ쥯ȥڤʸ
 */
if (!defined('DIRECTORY_SEPARATOR')) {
  if (SYL_OS_WINDOWS) {
    define('DIRECTORY_SEPARATOR', '\\');
  } else {
    define('DIRECTORY_SEPARATOR', '/');
  }
}

/**
 * 
 */
if (SYL_OS_WINDOWS) {
  define('SYL_EOF', "\r\n");
} else {
  define('SYL_EOF', "\n");
}

?>
